QGIS seg faults when removing a GRASS vector (or even when "zoom to layer" or even when 

opening the table of attributes)
Status: Closed

Priority: Severe/Regression

Assignee:

Category: GRASS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16205

Description

Attached a simple GRASS mapset and qgis project. Try remove the vector layer from the project (or even do a "zoom to layer") and QGIS

will seg fault.

Associated revisions

Revision fa348e13 - 2013-05-08 06:54 PM - Radim Blazek

GRASS vector crash fix #7140

History

#1 - 2013-02-12 03:27 AM - Giovanni Manghi

- Subject changed from QGIS seg faults when removing a GRASS vector (or even when "zoom to layer") to QGIS seg faults when removing a GRASS 

vector (or even when "zoom to layer" or even when opening the table of attributes)

It will happen even if zooming or opening the table of attributes.

#2 - 2013-02-12 06:44 AM - Tilman Brock

Can not confirm this on 1.8.0 running on windows 7 x64. Opening the project, opening the attribute table for the (only) layer named "fregue" and "Zoom to

layer" works for me.

#3 - 2013-02-12 07:08 AM - Giovanni Manghi

Tilman Brock wrote:

Can not confirm this on 1.8.0 running on windows 7 x64. Opening the project, opening the attribute table for the (only) layer named "fregue" and

"Zoom to layer" works for me.

this is a qgis-master issue, as stated in the ticket details ("affected version").

#4 - 2013-03-01 01:54 PM - Bernd Vogelgesang
can confirm this for master on Linux Mint 64bit from debian-nightly. Nearly every action with qgis with a loaded GRASS mapset leads to a crash. GRASS

completely unusable!

#5 - 2013-05-08 09:55 AM - Radim Blazek

- Status changed from Open to Closed

Fixed in changeset commit:"fa348e1344e12ddf69802cad28f067dd9b430bdf".
